var webpack = require('webpack');

module.exports = {
    entry: {
        RuleEngine: [
            './index.js'
        ]
    },
    plugins: [
        new webpack.DefinePlugin({
            "process.env": {
                BROWSER: JSON.stringify(true)
            }
        })
    ],
    output: {
        path: __dirname,
        filename: "RuleEngine.bundle.js",
        libraryTarget: "umd",
        library: "RuleEngine"
    }
};
